Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.cusermanager.provider
Class Md5passwd

    java.lang.Object
      org.jasig.portal.channels.cusermanager.provider.Md5passwd

     class Md5passwd

extends java.lang.Object

A utility class that demonstrates changing and locking md5 passwords in the UP_PERSON_DIR table. The program accepts two optional flags `-c` causes the user to be created if he/she doesn't exist. The `-l` flag causes the specified user's account to be locked.

copied from uportal package path to correct it for use

Version:
  $Revision: 1.4 $
Author:
  smb1@cornell.edu, Andrew Newman, newman@yale.edu (heavily modified by smb1@cornell.edu)

Field Summary
`static java.lang.String` | `ACCOUNTLOCK`

Constructor Summary
`Md5passwd()`

Method Summary
`protected static byte[]` | `decode(java.lang.String base64)`
`protected static java.lang.String` | `encode(java.lang.String ProposedPassword)` Returns the MD5 encoded password.
`private static char[]` | `encodeBlock(byte[] raw, int offset)`
`private static java.lang.String` | `encodeRaw(byte[] raw)`
`private static char` | `getChar(int sixBit)`
`protected static int` | `getValue(char c)`
`protected static boolean` | `verifyPassword(java.lang.String uid, java.lang.String EnteredPassword)` Check entered password against stored password

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCOUNTLOCK

    public static final java.lang.String ACCOUNTLOCK

See Also:
  Constant Field Values

Constructor Detail

### Md5passwd

    Md5passwd()

Method Detail

### encode

    protected static java.lang.String encode(java.lang.String ProposedPassword)
                                      throws java.io.IOException,
                                             java.security.NoSuchAlgorithmException

  Returns the MD5 encoded password.

  Parameters:
    `ProposedPassword` -
  Returns:
  Throws:
    `java.io.IOException`
    `java.security.NoSuchAlgorithmException`
    `SQLException`

### verifyPassword

    protected static boolean verifyPassword(java.lang.String uid,
                                            java.lang.String EnteredPassword)
                                     throws java.lang.Exception

  Check entered password against stored password

  Parameters:
    `uid` -
    `EnteredPassword` -
  Returns:
  Throws:
    `java.lang.Exception`

### encodeRaw

    private static java.lang.String encodeRaw(byte[] raw)

### encodeBlock

    private static char[] encodeBlock(byte[] raw,
                                      int offset)

### getChar

    private static char getChar(int sixBit)

### decode

    protected static byte[] decode(java.lang.String base64)

### getValue

    protected static int getValue(char c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD